<template>
  <span class="ModalBoardEdit">
    
    <b-button v-b-modal.m-board variant="info" class='ml-3'><font-awesome-icon icon="pen" /></b-button>

    <b-modal id="m-board" centered :title="board.name">

      <b-form-input v-model="boardName" placeholder="Change board name"></b-form-input>

      <template #modal-footer>
        <div class="w-100">
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-board');updateName();"
          >
            Save
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalBoardEdit',
  props: ['board'],
  data(){
    return {
      boardName: ''
    }
  },
  methods:{
    updateName(){
      this.$emit('updateName', this.boardName)

      let board = {
        name: this.boardName
      }

      axios.put(`${process.env.VUE_APP_URL}/boards/${this.board._id}`, board)
      .then(response => {
          this.board = response.data
      })
      .catch(error => alert("error " + error))

      this.boardName = ''
    }
  }
}
</script>


<style scoped>
#ModalBoardEdit{
}
</style>
